# Address Airdrops (simple)

This is a free endpoint, but the airdrop details will remain hidden. To reveal the full details, you should redirect users to the corresponding address page on Drops.&#x20;

### Endpoints

#### Get Address Airdrops

<mark style="color:$primary;">GET</mark>  `/shared/v1/airdrops/:network/:address`

Get the eligible airdrops for a specific address.

**Headers**

| Header      | Type   | Required | Description                     |
| ----------- | ------ | -------- | ------------------------------- |
| `x-api-key` | string | ✅        | Your API key for authentication |

**Path Parameters**

| Parameter | Type   | Required | Description                                                                  |
| --------- | ------ | -------- | ---------------------------------------------------------------------------- |
| `network` | string | ✅        | Network to query                                                             |
| `address` | string | ✅        | The wallet address to check (must be a valid address with the network param) |

**Example Requests**

**cURL - Ethereum Address**

```bash
curl -X GET "https://api.drops.bot/shared/v1/airdrops/evm/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045" \
  -H "x-api-key: YOUR_API_KEY"
```

The following networks are supported for address airdrop queries:

| Network ID | Name                                                         |
| ---------- | ------------------------------------------------------------ |
| `evm`      | All EVM and L2 chains                                        |
| `solana`   | Solana                                                       |
| `move`     | Sui, Aptos, and all other Move Networks                      |
| `cosmos`   | Cosmos and all subnets (address must start with \`cosmos1\`) |
| `bitcoin`  | Bitcoin                                                      |
| `starknet` | Starknet                                                     |

### Response

#### 200 - Successful Response

```typescript
{
  "success": true,
  "data": AddressAirdropData[]
}
```

#### AddressAirdropData

| Field                | Type    | Description                                                                                                                  |
| -------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `airdropId`          | string  | Unique identifier of the airdrop                                                                                             |
| `airdropName`        | string  | Name of the airdrop                                                                                                          |
| `imgUrl`             | string  | URL of the airdrop image/logo                                                                                                |
| `usdValue`           | number  | Fiat equivalent value of the claim                                                                                           |
| `isUnknownUsdValue`  | boolean | Whether the fiat value of the airdrop is known. (Final allocation can be unknown, or there's no premarket price before TGE). |
| `isExpiringSoon`     | boolean | Whether the airdrop is expiring soon (in the next 30 days)                                                                   |
| `isExpiringVerySoon` | boolean | Whether the airdrop is expiring very soon (in the next 7 days)                                                               |
| `addressUrl`         | string  | URL to the airdrop details page for the given address on Drops                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drops.bot/api-reference/endpoints/address-airdrops-simple.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
